climateprediction.net home page
Boinc on ubuntu server

Boinc on ubuntu server

Questions and Answers : Unix/Linux : Boinc on ubuntu server
Message board moderation

To post messages, you must log in.

AuthorMessage
(Ryle)

Send message
Joined: 17 Aug 05
Posts: 21
Credit: 8,385,468
RAC: 15,591
Message 35617 - Posted: 29 Nov 2008, 18:00:48 UTC - in response to Message 35549.  

I have a new ubuntu server, server running in 64bit and I have made several attempts at running boinc, and boinc installs and runs fine but the work seems to come in zip and my server can\'t unzip them.

This then causes my server to report the work done, and I am left with no work crunching.

Is there something I can do about this, or have I missed something somewhere?


Do you need the IA32-libs?

sudo apt-get install ia32-libs

that works for me, otherwise models crash immediately i found out.
ID: 35617 · Report as offensive     Reply Quote
Profile Skip Da Shu
Avatar

Send message
Joined: 31 Aug 04
Posts: 42
Credit: 13,584,908
RAC: 0
Message 35940 - Posted: 16 Jan 2009, 18:15:24 UTC

For Xubuntu/Ubuntu you may also need to install the libstdc++5 package. It\'s been too long for my memory to be accurate on this but... I don\'t think this is required for CPDN but it is for some BOINC project apps. There were some posts on this back around Nov/Dec 2007... I\'ll take a quick look because I thought I\'d documented what projects require what back then.
- da shu @ HeliOS,
"Free software is a matter of liberty, not price. To understand the concept, you should think of free as in free speech, not as in free beer"
ID: 35940 · Report as offensive     Reply Quote
old_user170894
Avatar

Send message
Joined: 3 Mar 06
Posts: 96
Credit: 353,185
RAC: 0
Message 35944 - Posted: 16 Jan 2009, 20:47:39 UTC - in response to Message 35940.  

For Xubuntu/Ubuntu you may also need to install the libstdc++5 package. It\'s been too long for my memory to be accurate on this but... I don\'t think this is required for CPDN but it is for some BOINC project apps. There were some posts on this back around Nov/Dec 2007... I\'ll take a quick look because I thought I\'d documented what projects require what back then.


I think you\'re right... libstdc++5 is not needed for CPDN. I think it\'s needed only for QMC. Anyway, I\'ve listed the names of the 32 bit compatibility libs along with instructions for installing them, for Ubuntu and Fedora, at http://boinc.berkeley.edu/wiki/Installing_on_Linux: 64_Bit_Considerations. I didn\'t list which projects need which library because the files don\'t use much disk space and it seemed like covering as many projects as possible with one command makes it easier for everyone including the documenter.


ID: 35944 · Report as offensive     Reply Quote

Questions and Answers : Unix/Linux : Boinc on ubuntu server

©2021 climateprediction.net